Bug 426529 - Review Request: perl-Array-Diff - Diff two arrays
Summary: Review Request: perl-Array-Diff - Diff two arrays
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 426542
TreeView+ depends on / blocked
 
Reported: 2007-12-21 20:37 UTC by Daniel Berrange
Modified: 2012-03-24 19:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 18:06:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Berrange 2007-12-21 20:37:52 UTC
Spec URL: http://berrange.fedorapeople.org/review/perl-Array-Diff/perl-Array-Diff.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Array-Diff/perl-Array-Diff-0.04-1.fc9.src.rpm
Description:  
This module does the diff of two arrays, and returns added and deleted arrays. It's simple usage of Algorithm::Diff.

Comment 1 Parag AN(पराग) 2007-12-22 02:59:42 UTC
You have a missing BRs.

check make test output
t/002_pod............skipped
        all skipped: Test::Pod 1.00 required for testing POD
t/003_podcoverage....skipped
        all skipped: Test::Pod::Coverage required for testing pod coverage
t/004_diff...........ok
All tests successful, 2 tests skipped.

Comment 3 Parag AN(पराग) 2007-12-22 03:57:45 UTC
Review:
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7c08993e1d15dfae959b706db23f5a65  Array-Diff-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ ./Build test
t/001_load...........ok
t/002_pod............ok
t/003_podcoverage....ok
t/004_diff...........ok
All tests successful.
Files=4, Tests=12,  0 wallclock secs ( 0.30 cusr +  0.04 csys =  0.34 CPU)

+ Package perl-Array-Diff-0.04-2.fc9
  Provides: perl(Array::Diff) = 0.04

APPROVED.

Comment 4 Daniel Berrange 2007-12-22 04:06:18 UTC
New Package CVS Request
=======================
Package Name: perl-Array-Diff
Short Description: Diff two arrays
Owners: berrange
Branches: F-8
InitialCC: 
Cvsextras Commits: yes

Comment 5 Tom "spot" Callaway 2007-12-22 15:55:23 UTC
cvs done

Comment 6 Daniel Berrange 2007-12-22 18:06:25 UTC
$ koji latest-pkg dist-f9 perl-Array-Diff
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Array-Diff-0.04-2.fc9                dist-f9               berrange


Comment 7 Daniel Berrange 2010-08-24 10:56:11 UTC
Package Change Request
======================
Package Name: perl-Array-Diff
New Branches: EL-6
Owners: berrange

Comment 8 Kevin Fenzi 2010-08-24 23:47:32 UTC
Git done (by process-git-requests).

Comment 9 Paul Howarth 2012-03-05 13:59:44 UTC
Hi Daniel,

could we have an EPEL-5 branch of this package? I (pghmcfc) would be happy to maintain it if you're not interested. The current Rawhide package builds OK unmodified for EPEL-5.

Comment 10 Daniel Berrange 2012-03-06 11:43:55 UTC
Package Change Request
======================
Package Name: perl-Array-Diff
New Branches: EL-5
Owners: berrange

Comment 11 Gwyn Ciesla 2012-03-06 12:57:52 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-03-06 16:01:22 UTC
perl-Array-Diff-0.07-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Array-Diff-0.07-7.el5

Comment 13 Fedora Update System 2012-03-24 19:04:02 UTC
perl-Array-Diff-0.07-7.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.